<?php
/*
  $Id: order_search.php $
  TomatoCart Open Source Shopping Cart Solutions
  http://www.tomatocart.com

  Copyright (c) 2010 Wuxi Elootec Technology Co., Ltd

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License v2 (1991)
  as published by the Free Software Foundation.
*/

  class osC_Boxes_order_search extends osC_Modules {
    var $_title,
        $_code = 'order_search',
        $_author_name = 'TomatoCart',
        $_author_www = 'http://www.tomatocart.com',
        $_group = 'boxes';

    function osC_Boxes_order_search() {
      global $osC_Language;

      $this->_title = $osC_Language->get('box_order_search_heading');
    }

    function initialize() {
      global $osC_Database, $osC_Language, $current_category_id, $osC_Template;

      $osC_Template->addJavascriptFilename('includes/javascript/order_search.js');
      $this->_content = '<script type="text/javascript">
                window.addEvent("domready",function() {
                    var orderSearch = new OrderSearch();
                  });
                </script>';
      
      $this->_content .= '<div id="order_search">';
      $this->_content .= osc_draw_input_field('order_id', '');
      $this->_content .= osc_image('templates/' . $osC_Template->getCode() . '/images/button_order_search.png', '', '', '', 'id="orderSearch"');
      $this->_content .= osc_draw_hidden_session_id_field();
      $this->_content .= '<div id="order_search_result"></div>';
      $this->_content .= '</div>';
    }
  }
?>
